| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcBrokenPipeException Class Reference

Exception thrown by the RPC API when the communication with the remote endpoint breaks. More...

`#include <RpcBrokenPipeException.hpp>`

Inheritance diagram for RpcBrokenPipeException:
[legend]

## Public Member Functions

| RpcBrokenPipeException (bool local_is_server)
| Constructor.
| RpcBrokenPipeException (const RpcBrokenPipeException &other) noexcept=default
| Copy constructor.
RpcBrokenPipeException & | operator= (const RpcBrokenPipeException &other) noexcept=default
| Copy assignment.
virtual | ~RpcBrokenPipeException () noexcept=default
| Destructor.
Public Member Functions inherited from RpcException
| RpcException (const std::string &message)
| Constructor.
| RpcException (const char *message)
| Constructor.
| RpcException (const RpcException &other) noexcept=default
| Copy constructor.
RpcException & | operator= (const RpcException &other) noexcept=default
| Copy assignment.
virtual | ~RpcException () noexcept=default
| Destructor.
const char * | what () const noexcept
| Returns the explanatory string.

## Detailed Description

Exception thrown by the RPC API when the communication with the remote endpoint breaks.

## Constructor & Destructor Documentation

## ◆ RpcBrokenPipeException() [1/2]

RpcBrokenPipeException | ( | bool | local_is_server | ) |

inline

Constructor.

## ◆ RpcBrokenPipeException() [2/2]

RpcBrokenPipeException | ( | const RpcBrokenPipeException & | other | ) |

default noexcept

Copy constructor.

## ◆ ~RpcBrokenPipeException()

virtual ~RpcBrokenPipeException | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ operator=()

RpcBrokenPipeException & operator= | ( | const RpcBrokenPipeException & | other | ) |

default noexcept

Copy assignment.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/exceptions/RpcBrokenPipeException.hpp